Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DDISNA

    java.lang.Object
      org.netlib.lapack.DDISNA

    public class DDISNA

extends java.lang.Object

    DDISNA is a simplified interface to the JLAPACK routine ddisna.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DDISNA computes the reciprocal condition numbers for the eigenvectors
     *  of a real symmetric or complex Hermitian matrix or for the left or
     *  right singular vectors of a general m-by-n matrix. The reciprocal
     *  condition number is the 'gap' between the corresponding eigenvalue or
     *  singular value and the nearest other one.
     *
     *  The bound on the error, measured by angle in radians, in the I-th
     *  computed vector is given by
     *
     *         DLAMCH( 'E' ) * ( ANORM / SEP( I ) )
     *
     *  where ANORM = 2-norm(A) = max( abs( D(j) ) ).  SEP(I) is not allowed

     *  to be smaller than DLAMCH( 'E' )*ANORM in order to limit the size of

     *  the error bound.
     *
     *  DDISNA may also be used to compute error bounds for eigenvectors of
     *  the generalized symmetric definite eigenproblem.
     *
     *  Arguments
     *  =========
     *
     *  JOB     (input) CHARACTER*1
     *          Specifies for which problem the reciprocal condition numbers

     *          should be computed:
     *          = 'E':  the eigenvectors of a symmetric/Hermitian matrix;
     *          = 'L':  the left singular vectors of a general matrix;
     *          = 'R':  the right singular vectors of a general matrix.
     *
     *  M       (input) INTEGER
     *          The number of rows of the matrix. M >= 0.
     *
     *  N       (input) INTEGER
     *          If JOB = 'L' or 'R', the number of columns of the matrix,
     *          in which case N >= 0. Ignored if JOB = 'E'.
     *
     *  D       (input) DOUBLE PRECISION array, dimension (M) if JOB = 'E'
     *                              dimension (min(M,N)) if JOB = 'L' or 'R'

     *          The eigenvalues (if JOB = 'E') or singular values (if JOB =
     *          'L' or 'R') of the matrix, in either increasing or decreasing
     *          order. If singular values, they must be non-negative.
     *
     *  SEP     (output) DOUBLE PRECISION array, dimension (M) if JOB = 'E'
     *                               dimension (min(M,N)) if JOB = 'L' or 'R'
     *          The reciprocal condition numbers of the vectors.
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit.
     *          < 0:  if INFO = -i, the i-th argument had an illegal value.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`DDISNA()`

Method Summary
`static void` | `DDISNA(java.lang.String job, int m, int n, double[] d, double[] sep, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DDISNA

    public DDISNA()

Method Detail

### DDISNA

    public static void DDISNA(java.lang.String job,
                              int m,
                              int n,
                              double[] d,
                              double[] sep,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD